OpenNMS API 1.2.9

## org.opennms.web.admin.groups.parsers
Class GroupsWriter

    java.lang.Object
      org.opennms.web.parsers.XMLWriter
          org.opennms.web.admin.groups.parsers.GroupsWriter

public class GroupsWriter
extends XMLWriter

This class loads and saves information from the groups.xml file

Version:
  1.1.1.1
Author:
  Jason Johns , OpenNMS

Field Summary

Fields inherited from class org.opennms.web.parsers.XMLWriter
`DTD_EXTENSION, m_baseName, m_docBuilder, m_document, m_dtd, m_dtdPath, m_fileName, m_headerInfo, m_xmlPath, XML_EXTENSION`

Constructor Summary
`GroupsWriter(java.lang.String fileName)` Default constructor.

Method Summary
`protected void` `saveDocument(java.util.Collection groups)` Creates a new DOM tree document that represents the data in the collection.

Methods inherited from class org.opennms.web.parsers.XMLWriter
`addCDataElement, addDataElement, addEmptyElement, backup, getDTD, getVersion, loadDTD, save, serializeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupsWriter

    public GroupsWriter(java.lang.String fileName)
                 throws XMLWriteException

  Default constructor.

Method Detail

### saveDocument

    protected void saveDocument(java.util.Collection groups)
                         throws XMLWriteException

  Creates a new DOM tree document that represents the data in the collection. This document will be serialized to a file to save the configuration.

  Specified by:
    `saveDocument` in class `XMLWriter`
  Parameters:
    `groups` - the information to save
  Throws:
    `XMLWriteException` - if cannot handle the xml

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.